# Package crm-forms OneStartup

  **onestartup/crm-forms** manage forms landings
# Install Dependencies

- Run this in the terminal

```php
composer require jenssegers/agent
```

- Add the service provider in config/app.php:

```php
Jenssegers\Agent\AgentServiceProvider::class,
``` 

- And add the Agent alias to config/app.php:
 
```php
'Agent' => Jenssegers\Agent\Facades\Agent::class,
``` 

# Installation

- Run this in the terminal

```php
composer require onestartup/crm-forms
```

- after add the ServiceProvider to the providers array in config/app.php

```php
Onestartup\CrmForms\CrmFormsServiceProvider::class,
```



- run command for publish views

```php
php artisan vendor:publish --provider="Onestartup\CrmForms\CrmFormsServiceProvider"
```

- run command for publish config file

```php
php artisan vendor:publish --tag=config 
```

- run command for publish assets
```php
php artisan vendor:publish --tag=public
```


- add next lines to app/Interested.php

```php
public function interested_detail(){
    	return $this->hasOne('Onestartup\CrmForms\Model\InterestedDetail', 'interested_id');
    }
```

- include form in your landing page

```php
@include('crmforms-public::forms.form_base')
```

-include scripts in your landing page
```php
<script src="{{asset('assets/cronometro.js')}}" type="text/javascript" />
```